/*******************************************************************************
 * FoxCustomizationNode_Gender generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCustomizationNode_Gender extends FoxCustomizationNode_Base within FoxArmoryUI
    config(UI);

struct GenderInfo
{
    var int UnlockID;
    var Engine.OnlineSubsystemTypes.EPlayerGender Gender;
    var int Index;

    structdefaultproperties
    {
        UnlockID=0
        Gender=EPlayerGender.EPG_Male
        Index=0
    }
};

var transient array<GenderInfo> GenderInfoArray;

function Initialize(optional bool bSelectEquipped)
{
    local array<int> Unlocks;
    local int I;
    local Engine.OnlineSubsystemTypes.EPlayerGender Gender;
    local ScrollerListEntry NewScrollerListEntry;
    local GenderInfo NewGenderInfo;

    bSelectEquipped = true;
    super.Initialize();
    Outer.CustomItemType = 22;
    Outer.SelectedCustomizationType = 4;
    // End:0x69
    if(bSelectEquipped)
    {
        ResetSelectedLoadout();
    }
    Outer.SelectedScrollerIndex = 0;
    GenderInfoArray.Length = 0;
    ScrollerEntries.Length = 0;
    // End:0x2B2
    if(class'FoxUnlockInfo'.static.GetUnlocksForUnlockType(Unlocks, 52))
    {
        Gender = ((Outer.CachedGearSlot.bFemale) ? 1 : 0);
        I = 0;
        J0x11E:
        // End:0x2B2 [Loop If]
        if(I < Unlocks.Length)
        {
            // End:0x2A4
            if(SetScrollerEntry(NewScrollerListEntry, Unlocks[I]))
            {
                NewGenderInfo.UnlockID = Unlocks[I];
                NewGenderInfo.Gender = class'FoxUnlockInfo'.static.GetGenderFromUnlockID(Unlocks[I]);
                NewGenderInfo.Index = I;
                NewScrollerListEntry.InsertIndex = ScrollerEntries.Length;
                // End:0x278
                if(NewGenderInfo.Gender == Gender)
                {
                    SetEquipped(NewScrollerListEntry, bSelectEquipped);
                }
                ScrollerEntries.AddItem(NewScrollerListEntry);
                GenderInfoArray.AddItem(NewGenderInfo);
            }
            ++ I;
            // [Loop Continue]
            goto J0x11E;
        }
    }
    SetupScrollerBar(bSelectEquipped);
    //return;    
}

function ResetSelectedLoadout()
{
    Outer.RebuildCachedGearInfo();
    Outer.Outer.ArmoryInfo.loadPreviewActor();
    FoxCustomPlayerActor(Outer.PreviewActor).RefreshAnimations();
    //return;    
}

function ei_changeScrollerIndex(int Index)
{
    local ProfileGearInfo TempGear;

    TempGear = Outer.CachedGearSlot;
    // End:0xBA
    if((Index >= 0) && Index < ScrollerEntries.Length)
    {
        TempGear.bFemale = GenderInfoArray[ScrollerEntries[Index].InsertIndex].Gender == 1;
    }
    Outer.UpdateCharacterGear(TempGear);
    Outer.SetArmoryPageAnimation();
    super.ei_changeScrollerIndex(Index);
    //return;    
}

function ei_ScrollerClicked(string SelectedIndex)
{
    local int NextIndex;

    NextIndex = int(SelectedIndex);
    // End:0x86
    if((NextIndex >= 0) && NextIndex < ScrollerEntries.Length)
    {
        Outer.SelectedScrollerUnlock = ScrollerEntries[NextIndex].UnlockID;
    }
    // End:0xA6
    else
    {
        Outer.SelectedScrollerUnlock = 0;
    }
    super.ei_ScrollerClicked(SelectedIndex);
    //return;    
}

function NodeEquipButtonClicked(string SelectedIndex)
{
    local int NextIndex;

    NextIndex = int(SelectedIndex);
    // End:0x104
    if((NextIndex >= 0) && NextIndex < ScrollerEntries.Length)
    {
        Outer.SelectedScrollerUnlock = ScrollerEntries[NextIndex].UnlockID;
        Outer.CachedGearSlot.bFemale = GenderInfoArray[ScrollerEntries[NextIndex].InsertIndex].Gender == 1;
    }
    // End:0x124
    else
    {
        Outer.SelectedScrollerUnlock = 0;
    }
    Outer.UpdateCharacterGear(Outer.CachedGearSlot);
    Outer.SetArmoryPageAnimation();
    super.NodeEquipButtonClicked(SelectedIndex);
    //return;    
}

function AddFilterButtons()
{
    super.AddFilterButtons();
    //return;    
}

function UpdateEmbeddedFilterDisplay()
{
    super.UpdateEmbeddedFilterDisplay();
    //return;    
}

defaultproperties
{
    bComponentSlots=true
}